Bug 254565 - sysutils/byobu: Add FreeBSD compatibility for commonly-used widgets, terminal fix
Summary: sysutils/byobu: Add FreeBSD compatibility for commonly-used widgets, terminal...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords: buildisok
Depends on:
Blocks:
 
Reported: 2021-03-25 23:27 UTC by Connor Sheridan
Modified: 2021-04-18 17:05 UTC (History)
2 users (show)

See Also:


Attachments
SVN diff (12.19 KB, patch)
2021-03-25 23:27 UTC, Connor Sheridan
no flags Details | Diff
SVN diff (12.68 KB, patch)
2021-03-26 00:56 UTC, Connor Sheridan
cws: maintainer-approval+
Details | Diff
SVN diff (13.28 KB, patch)
2021-03-26 02:00 UTC, Connor Sheridan
cws: maintainer-approval+
Details | Diff
SVN diff (13.47 KB, patch)
2021-03-27 04:04 UTC, Connor Sheridan
cws: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Connor Sheridan 2021-03-25 23:27:29 UTC
Created attachment 223590 [details]
SVN diff

Provides memory, CPU count/freq, disk, load, uptime widget functionality through FreeBSD-native facilities.

Modified:
Makefile
files/patch-usr_lib_byobu_disk
files/patch-usr_lib_byobu_memory

Added:
files/patch-usr_lib_byobu_cpu__count
files/patch-usr_lib_byobu_cpu__freq
files/patch-usr_lib_byobu_load__average
files/patch-usr_lib_byobu_uptime
files/patch-usr_lib_byobu_users

Deleted:
pkg-message
Comment 1 Connor Sheridan 2021-03-26 00:56:36 UTC
Created attachment 223591 [details]
SVN diff

Forgot to generate this from ports root. Fixed here.
Comment 2 Connor Sheridan 2021-03-26 02:00:28 UTC
Created attachment 223593 [details]
SVN diff

Also includes a patch for missing terminal definitions due to missing ncurses library.
Comment 3 Automation User 2021-03-26 05:04:11 UTC
Build and package info is available at https://gitlab.com/swills/freebsd-ports/pipelines/276787366
Comment 4 Connor Sheridan 2021-03-27 04:04:42 UTC
Created attachment 223629 [details]
SVN diff

Corrected how ncurses is used within the port definition.
Comment 5 Kevin Bowling freebsd_committer 2021-04-08 19:33:27 UTC
This looks good to me.  Have you had any luck upstreaming patches?
Comment 6 commit-hook freebsd_committer 2021-04-08 19:56:33 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=298fdc2dd2e3d79321fbd5ac18c725e8c07b2224

commit 298fdc2dd2e3d79321fbd5ac18c725e8c07b2224
Author:     Kevin Bowling <kbowling@FreeBSD.org>
AuthorDate: 2021-04-08 19:53:53 +0000
Commit:     Kevin Bowling <kbowling@FreeBSD.org>
CommitDate: 2021-04-08 19:55:20 +0000

    sysutils/byobu: Improve FreeBSD compatibility

    PR:             254565
    Approved by:    Justin Coffman <jcoffman@xsecure.io> (maintainer)

 sysutils/byobu/Makefile                            |  5 +-
 .../files/patch-usr_lib_byobu_cpu__count (new)     | 13 ++++
 .../files/patch-usr_lib_byobu_cpu__freq (new)      | 30 +++++++++
 sysutils/byobu/files/patch-usr_lib_byobu_disk      | 23 ++++---
 .../files/patch-usr_lib_byobu_load__average (new)  | 11 ++++
 sysutils/byobu/files/patch-usr_lib_byobu_memory    | 77 ++++++++++++++++++++--
 .../files/patch-usr_lib_byobu_time__binary (new)   |  8 +++
 .../byobu/files/patch-usr_lib_byobu_trash (new)    |  9 +++
 .../byobu/files/patch-usr_lib_byobu_uptime (new)   | 12 ++++
 sysutils/byobu/pkg-message (gone)                  | 16 -----
 10 files changed, 168 insertions(+), 36 deletions(-)
Comment 7 Connor Sheridan 2021-04-18 17:05:34 UTC
(In reply to Kevin Bowling from comment #5)
Yes, though there doesn't seem to be much in the way of forward momentum.